Audio/video stream recording forums

Attention Visitor:
You may have to register or log in before you can post:
  • Click the register link to sign up.
  • Registered members please fill in the form below and click the "Log in" button.
To start viewing messages, select the forum that you want to visit from the selection below.

Go Back   Audio/video stream recording forums > Streaming media recording forum > Video stream recording (Adult streaming videos)
Register FAQ Members List Calendar Mark Forums Read

Reply Post New Thread
 
Thread Tools Display Modes
  #11  
Old 01-16-2011, 03:49 PM
OSSRecording OSSRecording is offline
Junior Member
 
Join Date: Jan 2011
Posts: 3
OSSRecording is on a distinguished road
Default

Re: www.myfreecams.com: How can I record free sex web-cam chat (rtmp:// .flv)


I have no idea. I just know the server range: from 4-96 and 100-232 IIRC. There is probably some way to find it because Lurk4 is doing it.

BTW, bash script I have made
Code:
#!/bin/bash
Password="" # not needed, maybe for group and private?
SessionID=""

usage()
{
  echo "Usage: `basename $0` [OPTIONS] MODELNAME"
  echo "            -c sessionID,  specify your sessionID "
  echo "            -e ffmpeg,        to record in x264/aac
  echo "            -p passcode,   specify your passcode"
  echo "            -h             display this help and exit"
  exit 1 
} 

while getopts :c:e:p:h option
do
  case "$option" in
  c)
    SessionID="${OPTARG}"
    ;;
  e)
    enc="${OPTARG}"
    ;;
  p) # not needed, maybe for group and private?
    Password="${OPTARG}"
    ;;
  \?)
     echo "Invalid option: -$OPTARG" >&2
     usage
     ;;
  :)
     echo "Option -$OPTARG requires an argument." >&2
     usage
     ;;
  esac
done
shift $(($OPTIND - 1))

if [ $# -eq 0 ]
then
  usage
fi

Model="$1"
ModelID=`curl -s http://profiles.myfreecams.com/"${Model}" | grep -oP 'admireUser\(\d+\)' | grep -oP '\d+'`
if [ -z "$ModelID" ] 
  then 
  echo "Unknown model, check the spelling."
  exit 1
fi

vfeed=`lsof -c /npviewer/ -c /chrom/ -aPi tcp:1935 -F n | grep -oP '(?<=->).*'`
while [ -z "${vfeed}" ]
do
  echo "You must start the video."
  read -p "Press Enter when ready…"
  vfeed=`lsof -c /npviewer/ -c /chrom/ -aPi tcp:1935 -F n | grep -oP '(?<=->).*'`
done

while [ -z "${SessionID}" ]
do
  SessionID=`su -c'tcpdump -Anc1 -s112 -i any "src port xprint-server and greater 88 and tcp[13] & 8 != 0" | grep -oP "\b\d{8}\d*\b"|tail -n1'`
done

app="NxServer"
swfUrl="http://www.myfreecams.com/mfc2/flash/MfcVideoBeta.swf"
output="${Model}"_`date -u '+%Y%m%d%H%M%S'`

echo "sessionID: ${SessionID}"
echo "${Model}: ${ModelID}"
echo "${output}"

echo "$vfeed" | while read tcUrl
do
  echo "Testing stream $tcUrl"

  cmdargs_rtmp="-r rtmp://${tcUrl}/${app}/mfc_10${ModelID} \
-W ${swfUrl} \
-t rtmp://${tcUrl}/${app} \
-C N:${SessionID} -C S:${Password} -C N:10${ModelID} \
-C S:DOWNLOAD -C N:${ModelID} \
-m 2 -v"

  cmdargs_ffmpeg="rtmp://${tcUrl}/${app}/mfc_10${ModelID} \
swfUrl=${swfUrl} swfVfy=1 \
tcUrl=rtmp://${tcUrl}/${app} \
conn=N:${SessionID} conn=S:${Password} conn=N:10${ModelID} \
conn=S:DOWNLOAD conn=N:${ModelID} \
timeout=2 live=1"

  trap 'signal=1' SIGINT SIGTERM

if [ "$enc" != "ffmpeg" ]
then
  rtmpdump ${cmdargs_rtmp} -o "${output}".flv
else
  #  Hangs if no audio: https://roundup.ffmpeg.org/issue2213
  ffmpeg -async 1 -re -i "${cmdargs_ffmpeg}"  \
-acodec libfaac -ac 2 -ar 22050 -ab 96k \
-vcodec libx264 -vpre slow -sameq -threads 0 \
"${output}".mp4
fi

  if [[ $? -eq 0 ]] || [[ $? -eq 1 && $signal -eq 1 ]]
  then
    echo "Stream recorded"
    exit 1
  else
    echo "Stream not found"
  fi
  trap SIGINT SIGTERM
done

if [ $? -ne 1 ]
then
  echo "No stream for the requested model was found. please \
check that her video stream is running before starting mfcrecord \
or check you SessionID."
fi
exit
It does not always work, ffmpeg won't if there is no sound or if the connection is bad (see bug report in comment of the script). Also need to be root to fetch the sessionID (I'm using tcpdump for this), but you can specify one with -c sessionID.

You can use any sessionID, assuming it's a real one, it seems it is randomly generated for any new connection to the site, probably just a variable which is incremented. It's not actually tied to an IP or userid.
You can fetch sessionID from other users by listening to chatXX.myfreecam.com (As soon as you're logged to MFC, you are connected to a random chat server on port 8100). You can also see their 'level' (0 guest, 1 basic, 2 premium, 4 model, 5 admin)
The password is never check in Public, I don't know for private or group.
Reply With Quote
  #12  
Old 01-17-2011, 06:42 AM
itsme itsme is offline
Member
 
Join Date: Jan 2011
Posts: 38
itsme is on a distinguished road
Default

Re: www.myfreecams.com: How can I record free sex web-cam chat (rtmp:// .flv)


to summarize the process:

connect to chatxx.myfreecams.com (where xx is a random number between 1 and 28) on port 8100 or 5001.
listen to the socket
send the connect packet (hello fcserver) and then your username and passcode (or use guest:guest) in the login packet (1)
handle the different packet types sent in json. (20 is join/state change, 43 is shared cam slave server, 15 is model leaves, check the source for more).
the session id is unique and sequential. the room id is userid (sent in 20) + 100000000. Private and group room ids are userid + 200000000.


you can get a part of the mfc source here, its the core part showing you how to manage the user list and how to transform the internet camserverid to the real ones (Check MapServer function)
http://pastebin.com/vhcDnSpE.

Quote:
The password is never check in Public, I don't know for private or group.
It's used in the login process and its used in the rtmp connection if you connect to groups and privates (you have to send your passcode and DOWNLOAD:xxxxxx where xxxxxx is the GRP/PVT session id, sent in the 16er packet (after you sent the 34 request join grp).

if you have more questions, go ahead

btw you probably want to change to an actual good streaming recorder, if you want to start multiple downloads at once,
rtmpdump is badly coded and wastes alot of CPU. more than 10 downloads on your machine and it slows down, also there are STILL a crazy amount of bugs in.
Reply With Quote
  #13  
Old 01-17-2011, 10:45 PM
Stream Ripper Stream Ripper is offline
Super Moderator
 
Join Date: Feb 2007
Location: World
Posts: 886
Stream Ripper has a reputation beyond reputeStream Ripper has a reputation beyond reputeStream Ripper has a reputation beyond reputeStream Ripper has a reputation beyond reputeStream Ripper has a reputation beyond reputeStream Ripper has a reputation beyond reputeStream Ripper has a reputation beyond reputeStream Ripper has a reputation beyond reputeStream Ripper has a reputation beyond reputeStream Ripper has a reputation beyond reputeStream Ripper has a reputation beyond repute
Default

Re: www.myfreecams.com: How can I record free sex web-cam chat (rtmp:// .flv)


For these types of streams, I generally recommend Replay Media Catcher or WM Recorder - BOTH can record MULTIPLE streams at once - even if you can only view one at a time on your PC.
Reply With Quote
  #14  
Old 01-19-2011, 05:55 AM
nash28 nash28 is offline
Senior Member
 
Join Date: Jan 2010
Posts: 100
nash28 is on a distinguished road
Default

Re: www.myfreecams.com: How can I record free sex web-cam chat (rtmp:// .flv)


Can anyone please check, if this procedure would work on the private sessions of livejasmin?
Reply With Quote
  #15  
Old 01-21-2011, 06:00 PM
grizzler grizzler is offline
Junior Member
 
Join Date: Jan 2011
Posts: 16
grizzler is on a distinguished road
Default

Re: www.myfreecams.com: How can I record free sex web-cam chat (rtmp:// .flv)


Hi all,

Really good stuff, but I´m doing something wrong and cannot figure out what that is...
First of all, the session ID I only can see if I join a payed session - then it will indeed show in my packet log as /session_id=.
But if I just have a normal free look at a model - no matter if I´m guest or logged on with a name - I don´t find anything looking like a session ID in my packet log; all numbers are 9 digits, and the string session_id is nowhere.
I´ve tried with the one you provided earlier and also one I did by doing a quick join on a group show, but they weren´t working.
Perhaps there´s an expiry on session ID´s?
I was wondering if you could take a look at the stuff I´m typing in and see if it´s right what I´m doing:

Code:
rtmpdump -W http://www.myfreecams.com/mfc2/flash/MfcVideoBeta.swf?nc=33 -s http://www.myfreecams.com/mfc2/flash/MfcVideoBeta.swf?nc=33 -a NxServer -f LNX 10,2,161,23 -t rtmp://video211.myfreecams.com:1935/NxServer -r rtmp://video211.myfreecams.com:1935/NxServer/mfc_101388278 -p http://www.myfreecams.com/mfc2/static/player.html? -C N:54828537 -C S:guest:guest -C N:101388278 -C S:DOWNLOAD -C N:1388278 -o c:\QTm.flv -V
Also, the objectencode thingy I had to remove to make it work just a bit. It will fail with a message from rtmpdump that it´s not recognized.
With the above, I´m getting

DEBUG: RTMP_ClientPacket, received: invoke 182 bytes
DEBUG: (object begin)
DEBUG: Property: NULL
DEBUG: (object begin)
DEBUG: Property: <Name: level, STRING: error>
DEBUG: Property: <Name: code, STRING: NetConnection.Connect.Re
jected>
DEBUG: Property: <Name: description, STRING: Connection failed.>
DEBUG: Property: <Name: application, OBJECT>
DEBUG: (object begin)
DEBUG: Property: <Name: message, STRING: You have been banned, or
video unavailable>
DEBUG: (object end)
DEBUG: (object end)
DEBUG: (object end)
DEBUG: HandleInvoke, server invoking <_error>
ERROR: rtmp server sent error
DEBUG: RTMP_ClientPacket, received: invoke 18 bytes
DEBUG: (object begin)
DEBUG: Property: NULL
DEBUG: (object end)
DEBUG: HandleInvoke, server invoking <close>
ERROR: rtmp server requested close
DEBUG: Closing connection.

And btw, I´m on Windows in case that´s making any difference.

I hope you can see what´s wrong here - thanks in advance!

And finally, the video server no. and model IDs indeed are right (in this moment ) - checked in both my packet logger and with Replay Media Catcher (which is not bugfree either btw)
Reply With Quote
  #16  
Old 01-25-2011, 04:13 PM
itsme itsme is offline
Member
 
Join Date: Jan 2011
Posts: 38
itsme is on a distinguished road
Default

Re: www.myfreecams.com: How can I record free sex web-cam chat (rtmp:// .flv)


you can find the normal session id in the chatserver packets, its the response to the 0x01 login packet (the third value).

the one you find is the one stored in the browser cookies, its sent in the 0x10 (16) packet after grp/pvt request (you can also find it in the rtmp connect packet stored as amfnumber
Reply With Quote
  #17  
Old 01-26-2011, 01:42 PM
grizzler grizzler is offline
Junior Member
 
Join Date: Jan 2011
Posts: 16
grizzler is on a distinguished road
Default

Re: www.myfreecams.com: How can I record free sex web-cam chat (rtmp:// .flv)


Thanks!

Looks to me like you may be talking about this one sent to the server:

1 0 0 20071025 0 guest:guest

And receiving this from the server:

1 0 6592xxxx 0 0 Guestxxxxx

Where 6592xxxx is the session ID, is that right?

Ok, so far so good then!

Now for something else. Having objectEncoding appended to PageUrl seems important, right?
I´ve tried alot of different things, but cannot make it occur in the same way as done in the packets sniffed from an mfc session:

Code:
0x0200   74 6F 72 79 3D 74 72 75-65 26 77 69 64 74 68 3D   tory=true&width=
0x0210   C3 33 32 30 26 68 65 69-67 68 74 3D 32 34 30 26   ?320&height=240&
0x0220   6D 75 74 65 3D 6F 66 66-26 00 0E 6F 62 6A 65 63   mute=off&..objec
0x0230   74 45 6E 63 6F 64 69 6E-67 00 00 00 00 00 00 00   tEncoding.......
Not sure what this will look like, directly pasted from my packet monitor, but what it´s showing is that between mute=off& and objectEncoding, there´s two bytes with the values 0 and 0E (14).
How do I get those two bytes into RTMPDUMP?
Tried using -C but that added alot more...
If anybody´s using RTMPDUMP in a commandline, and had it working fine, could they perhaps share an example here?

Thanks!
Reply With Quote
  #18  
Old 01-26-2011, 04:19 PM
getflv getflv is offline
GetFLV support
 
Join Date: Aug 2009
Posts: 356
getflv is on a distinguished road
Post

Re: www.myfreecams.com: How can I record free sex web-cam chat (rtmp:// .flv)


We can download myfreecams live stream videos with latest GetFLV. Please check it and give us your feedback.
Reply With Quote
  #19  
Old 01-28-2011, 02:07 PM
papapump papapump is offline
Junior Member
 
Join Date: Jan 2011
Posts: 1
papapump is on a distinguished road
Default

Re: www.myfreecams.com: How can I record free sex web-cam chat (rtmp:// .flv)


Just paid for some tokens and attempted to spy on a private session, record it using Replay Media Catcher and exit. The recording stops as soon as you exit off the page. Pretty disappointing. If anyone can find a work around you would be a god amongst men.
Reply With Quote
  #20  
Old 01-28-2011, 03:51 PM
grizzler grizzler is offline
Junior Member
 
Join Date: Jan 2011
Posts: 16
grizzler is on a distinguished road
Default

Re: www.myfreecams.com: How can I record free sex web-cam chat (rtmp:// .flv)


If someone found out how to freely lurk on privates, they´d prolly keep it to themselfes, or mfc would soon have it patched.
Reply With Quote
Reply Post New Thread
Tags: , , , , , , , , , , , , ,



Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -6. The time now is 06:35 AM.


Powered by All-streaming-media.com; 2006-2011
vB forum hacked with Zoints add-ons